# Gate.io: Price Triggered Orders

## Sell all your coins

When your Take Profit (takeProfitTrigger) and Stop Loss (stopLossTrigger) gets hit the sell order gets activated and will be a limit sell order in the Orderbook. The Orders will be placed at the takeProfit or stopLoss Price. To be sold immediately the takeProfit or stopLoss Price has to be lower than the takeProfitTrigger or stopLossTrigger.&#x20;

When in doubt how to set these Paramters just do your takeProfitTrigger and StopLossTrigger and set the takeProfit and stopLoss both to 0. The Bot will calculate the values accordingly.&#x20;

{% hint style="danger" %}
"takeProfit" : 0,

"stopLoss" : 0
{% endhint %}

The Bot will calculate the takeProfit = takeProfitTrigger \* 0.7 and stopLoss = stopLossTrigger \* 0.7 this should be low enough to sell all your coins immediately. The Exchange will try to fill your order at the best Price possible.

## Gate.io: Price Triggered Sell Orders

The Gate.io Bots will place two price triggered Orders for selling. Price triggered Orders a Limit Orders that get activated when the trigger Price is hit. This gives you 4 Price Parameters.

{% embed url="<https://support.gate.io/hc/en-us/articles/360022423153-Price-Condition-Order>" %}
Price Condition Order or Price Triggered Order on Gate.io
{% endembed %}

```
{
...
    "createLimitSellOrder" : "True",
    "takeProfitTrigger": 1.15,
    "takeProfit": 0,
    "stopLossTrigger": 0.90,
    "stopLoss": 0,
...
}
```

#### Calculation of the prices:

This is the intern calculation of the Prices:

* takeProfitTrigger, the price that activates the Limit Sell Order: buyPrice \* takeProfitTrigger
* takeProfit, the limit price of the actual Limit Sell Order: buyPrice \* takeProfit
* stopLossTrigger, the price that activates the Limit Sell Order: buyPrice \* stopLossTrigger
* stopLoss, the limit price of the actual Limit Sell Order: buyPrice \* stopLoss

If you put takeProfit and/or stopLoss as 0:

* takeProfitTrigger, the price that activates the Limit Sell Order: buyPrice \* takeProfitTrigger
* takeProfit, the limit price of the actual Limit Sell Order: buyPrice \* (takeProfitTrigger \* 0.7)
* stopLossTrigger, the price that activates the Limit Sell Order: buyPrice \* stopLossTrigger
* stopLoss, the limit price of the actual Limit Sell Order: buyPrice \* (stopLossTrigger \* 0.7)

![Gateio price Triggered Orders](/files/ivbfA92R3DIn9AOifIwM)

The first time is might sound complicated but it isnt, believe me. The two important parameters are the takeProfitTrigger and the stopLossTrigger. Those two are the Price when the Limit Sell Order get activated on the Oderbook. This is your normal take profit price, or stop loss price.&#x20;

The takeProfit or the stopLoss have to be lower than the takeProfitTrigger or stopLossTrigger. This takeProfit and stopLoss will be the prices of the Limit Sell Order on the Orderbook. The Order to be filled immediately the price has to be lower then the current price. When the current price moves below your takeProfit or stopLoss the coins will remain in the Orderbook and dont get sold.&#x20;

{% hint style="info" %}
takeProfitTrigger > takeProfit

stopLossTrigger > stopLoss
{% endhint %}

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pump-bot.com/faq-questions-important-notes/limit-sell-orders-oco-order-price-triggered-orders/gate.io-price-triggered-orders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
